<div style="margin-bottom: 15px;">

    <p-dataTable
        [value]="productPackageReceipts"
        [editable]="true"
        [rows]="itemsPerPage"
        [paginator]="true"
        [pageLinks]="5"
        [rowsPerPageOptions]="[10,15,20]" 
        [totalRecords]="totalItems" 
        [responsive]="true" 
        [lazy]="true"
        [(first)]="first"
        row="itemsPerPage"
        totalRecords="totalItems"
        rowHover="true"
        dataKey="idPackage" 
        (onLazyLoad)="loadDataLazy($event)" 
        (onEditComplete)="updateRowData($event)">
        <p-header>
            <ul class="nav justify-content-end">
                <li class="nav-item">
                    <a class="btn" [routerLink]="['/', { outlets: { popup: ['product-package-receipt-popup-new-list', null] } }]"><i class="fa fa-plus"></i> &nbsp;{{ 'entity.action.add' | translate }}</a>
                </li>
            </ul>
        </p-header>
        <p-column header="{{'global.field.sequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                {{rowIndex + 1}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.productPackageReceipt.dateCreated'|translate}}" [style]="{'width': '150px'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.dateCreated | date:'dd-MM-yyyy HH:mm:ss'}}
            </ng-template>
            <ng-template let-col let-rowData="rowData" pTemplate="editor">
                <p-calendar [(ngModel)]="rowData.dateCreated"
                      dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"></p-calendar>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.productPackageReceipt.documentNumber'|translate}}" field="documentNumber" [editable]="true">
        </p-column>
        <p-column header="{{'mpmApp.productPackageReceipt.internal'|translate}}" *ngIf="idInternal === undefined">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.internalId">
                    <a [routerLink]="['../internal', rowData.internalId  ]" >{{rowData.internalId}}</a>
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.productPackageReceipt.shipFrom'|translate}}" *ngIf="idShipFrom === undefined">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.shipFromId">
                    <a [routerLink]="['../ship-to', rowData.shipFromId  ]" >{{rowData.shipFromId}}</a>
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'global.field.action'|translate}}" [style]="{'width': '100px', 'text-align': 'center'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <button pButton type="button"
                    [routerLink]="['/', { outlets: { popup: 'product-package-receipt/'+ rowData.idPackage + '/popup-edit'} }]"
                    replaceUrl="true"
                    icon="fa-pencil"
                    class="flat-button">
                </button>
                <button pButton type="button"
                    (click)="delete(rowData.idPackage)"
                    icon="fa-remove"
                    class="flat-button">
                </button>
            </ng-template>
        </p-column>
    </p-dataTable>
</div>
